Page MenuHomePhabricator

Respect $wgAllowSiteCSSOnRestrictedPages
Closed, ResolvedPublic

Description

MediaWiki:Mobile.css is not loaded on the login, create account, or preferences pages. This produces an inconsistent interface on mobile for those with custom styling. On desktop, this problem is fixed by setting $wgAllowSiteCSSOnRestrictedPages to true. However, the value of $wgAllowSiteCSSOnRestrictedPages has no effect on mobile.

The value of $wgAllowSiteCSSOnRestrictedPages should be checked, and if true, then MediaWiki:Mobile.css should be loaded on the login, create account, and preferences special pages.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 12 2016, 3:40 AM
Porplemontage triaged this task as Medium priority.Jul 12 2016, 3:41 AM
Jdlrobson raised the priority of this task from Medium to Needs Triage.Jul 12 2016, 8:45 PM

Hi @Porplemontage what modifications are you trying to make to the mobile login and create account page? The preferences page is not exposed on the mobile site.

Porplemontage added a comment.EditedJul 13 2016, 6:33 PM

I used the MobileMenu hook to add a recent changes button to the menu, then used MediaWiki:Mobile.css to give it an icon. So the icon appears on every page but those special pages.

In addition, I wanted to make a few tweaks to the login and create account pages. Changes include increasing the size of the logo on the login page to match the create account page (the login page forces the image height to 72px while the create account page does not restrict it), changing the width of the create account form to 100% to match the login form, centering the logo on the create account page to match the login page, and hiding the create account benefits container so there's nothing below the create account button.

Thanks @Porplemontage for the quick response (sorry mine is slower). Sadly menu configuration (T65459) and skin customisations are not as easy as they should be :/

Ideally you should not need to use CSS to configure the menu/

Jdlrobson triaged this task as Low priority.Jul 21 2016, 8:27 PM
Jdlrobson added a project: good first task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 21 2016, 8:27 PM
Pppery claimed this task.Dec 19 2019, 9:48 PM
Pppery added a subscriber: Pppery.

Sorry, forgot to claim this on Phabricator when I claimed it on GCI yesterday.

Restricted Application added a subscriber: RhinosF1. · View Herald TranscriptDec 19 2019, 9:48 PM

Change 559606 had a related patch set uploaded (by Pppery; owner: Pppery):
[mediawiki/extensions/MobileFrontend@master] Make $wgAllowSiteCSSOnRestrictedPages function properly on mobile

https://gerrit.wikimedia.org/r/559606

Pppery removed Pppery as the assignee of this task.Dec 20 2019, 10:31 PM

Change 559606 abandoned by Pppery:
Make $wgAllowSiteCSSOnRestrictedPages function properly on mobile

https://gerrit.wikimedia.org/r/559606

Change 562380 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove mobile.site and mobile.styles modules

https://gerrit.wikimedia.org/r/562380

Pppery removed a subscriber: Pppery.Jan 7 2020, 2:01 AM

Change 562380 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove mobile.site and mobile.styles modules

https://gerrit.wikimedia.org/r/562380

Jdlrobson closed this task as Resolved.Mar 13 2020, 9:52 PM
Jdlrobson claimed this task.